Subject: Re: WeConnect Issue
From: Rebecca Dybala <[email-masked]>
To: Rona Galangi <[email-masked]>
Cc: Saurabh Dadu <[email-masked]>, release <[email-masked]>
Date: Thu, 17 Mar 2022 09:41:07 -0400

Hi there,

We are able to make calls on our end. Saurabh, is this something someone there can look in to with WE Connect? I am not sure I would be able to remedy the situation without access to your phone system. 

Rona, are you still receiving calls? 

Rebecca Dybala
HR Manager
[email-masked]
508-986-2330 Ext. 105
201 Turnpike Rd Westborough, MA 01581
www.releasewellbeingcenter.com

> On Mar 17, 2022, at 9:31 AM, Rona Galangi <[email-masked]> wrote:
> 
> Hi,
> 
> I'm still having the same error. Can someone check on this? 
> 
> Thank you,
> 
> Rona Galangi
> LiveSalesman
> 
> From: "Rona Galangi" <[email-masked]>
> To: "Release Concierge" <[email-masked]>
> Cc: "Saurabh Dadu" <[email-masked]>, "Rebecca Dybala" <[email-masked]>, "release" <[email-masked]>
> Sent: Thursday, March 17, 2022 4:46:30 AM
> Subject: WeConnect Issue